function varargout = reflectance(varargin)
% REFLECTANCE M-file for reflectance.fig
%      REFLECTANCE, by itself, creates a new REFLECTANCE or raises the existing
%      singleton*.
%
%      H = REFLECTANCE returns the handle to a new REFLECTANCE or the handle to
%      the existing singleton*.
%
%      REFLECTANCE('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in REFLECTANCE.M with the given input arguments.
%
%      REFLECTANCE('Property','Value',...) creates a new REFLECTANCE or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before reflectance_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to reflectance_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help reflectance

% Last Modified by GUIDE v2.5 03-Mar-2014 02:12:40

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @reflectance_OpeningFcn, ...
                   'gui_OutputFcn',  @reflectance_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before reflection is made visible.
function reflectance_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to reflection (see VARARGIN)

% Choose default command line output for reflection
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes reflection wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = reflectance_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
% hObject    handle to slider1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
thetai=(0:90).*pi/180; 
n = get(hObject,'Value');
rp=((sqrt(1-((sin(thetai))./n).^2))-n*(cos(thetai)))./(n*cos(thetai)+(sqrt(1-((sin(thetai))./n).^2)));
rs=(cos(thetai)-n*(sqrt(1-((sin(thetai))./n).^2)))./(cos(thetai)+n*(sqrt(1-((sin(thetai))./n).^2)));
Rp=rp.^2; Rs=rs.^2;
t=0:90;
ptheta = get(handles.slider2,'Value');
R = sind(ptheta)^2*Rp+cosd(ptheta)^2*Rs;
plot(t,R)
set(handles.edit2,'String',n)
set(handles.edit3,'String',ptheta)
% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider


% --- Executes during object creation, after setting all properties.
function slider1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slider1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
% hObject    handle to slider2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
thetai=(0:90).*pi/180; 
n = get(handles.slider1,'Value');
rp=((sqrt(1-((sin(thetai))./n).^2))-n*(cos(thetai)))./(n*cos(thetai)+(sqrt(1-((sin(thetai))./n).^2)));
rs=(cos(thetai)-n*(sqrt(1-((sin(thetai))./n).^2)))./(cos(thetai)+n*(sqrt(1-((sin(thetai))./n).^2)));
Rp=rp.^2; Rs=rs.^2;
t=0:90;
ptheta = get(hObject,'Value');
R = sind(ptheta)^2*Rp+cosd(ptheta)^2*Rs;
plot(t,R)
set(handles.edit2,'String',n)
set(handles.edit3,'String',ptheta)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider


% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slider2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function edit2_Callback(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit2 as text
%        str2double(get(hObject,'String')) returns contents of edit2 as a double


% --- Executes during object creation, after setting all properties.
function edit2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit3_Callback(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit3 as text
%        str2double(get(hObject,'String')) returns contents of edit3 as a double


% --- Executes during object creation, after setting all properties.
function edit3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


